Bug 58803 - Can't choose format as swap on swap partition > 2048MB during install
Can't choose format as swap on swap partition > 2048MB during install
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Beth Uptagrafft
Beth Uptagrafft
Depends On:
  Show dependency treegraph
Reported: 2002-01-24 16:09 EST by Jeff Wiedemeier
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-11 17:40:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Wiedemeier 2002-01-24 16:09:56 EST
Description of Problem:

The installation will not allow formatting of a swap partition > 2048MB

Version-Release number of selected component (if applicable):

How Reproducible:


Steps to Reproduce:
1. Use fdisk to create a large swap partition (4GB is plenty)
2. Attempt to explicitly have the installer format the swap partition
   (i.e. Edit partition, make sure format as swap is selected, choose ok)

Actual Results:

Dialog displaying:

         Error With Request
         The size of the swap partition (size = 4000.0 MB) exceeds
         the maximum size of 2048 MB.

and the edit of the partition must be cancelled

Expected Results:

	Allow it.		

Additional Information:
Comment 1 Alexandre Petit-Bianco 2002-01-29 17:41:23 EST
Not beeing able to handle individual swap space overs 2GB reflects a kernel 
limitation. You can create several swap partitions of 2GB each.

Comment 2 Jeff Wiedemeier 2002-01-30 07:00:16 EST
2GB is *not* a kernel limitation on Alpha...

From the Partition howto

Currently, the maximum size of a swap partition is architecture-dependent. For
i386 and PowerPC, it is approximately 2Gb. It is 128Gb on alpha, 1Gb on sparc,
and 3Tb on sparc64.
Comment 3 Diego Novillo 2002-02-11 17:39:59 EST
This should be fixed in the upcoming release.
Comment 4 Beth Uptagrafft 2002-03-13 09:57:21 EST
I'm closing this case because it was fixed in the Feb 22 delivery.  Please let 
us know if you still see any problems with this issue.

Note You need to log in before you can comment on or make changes to this bug.